# Method: projects.locations.gatewaySecurityPolicies.rules.delete

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/delete#body.aspect)

Deletes a single GatewaySecurityPolicyRule.

### HTTP request

`DELETE https://networksecurity.googleapis.com/v1beta1/{name=projects/*/locations/*/gatewaySecurityPolicies/*/rules/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the GatewaySecurityPolicyRule to delete. Must be in the format `projects/{project}/locations/{location}/gatewaySecurityPolicies/{gatewaySecurityPolicy}/rules/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networksecurity.gatewaySecurityPolicyRules.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).